package com.ruoyi.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
/**
 * Created by tao.
 * Date: 2023/3/21 15:02
 * 描述:
 */

@Component
@ConfigurationProperties(prefix = "wechat")
public class WechatAccountConfig {

    /**
     * 公众平台id
     */
    private static String mpAppId;

    /**
     * 公众平台密钥
     */
    private static String mpAppSecret;

    /**
     * 公众号Token
     */
    private static String myToken;

    /**
     * AccessToken
     */
    private static String myAccessToken;

    /**
     * 微信小程序AppId
     */
    private static String wxAppId;

    /**
     * 微信小程序Secret
     */
    private static String wxAppSecret;

    public static String getMpAppId() {
        return mpAppId;
    }

    public void setMpAppId(String mpAppId) {
        WechatAccountConfig.mpAppId = mpAppId;
    }

    public static String getMpAppSecret() {
        return mpAppSecret;
    }

    public void setMpAppSecret(String mpAppSecret) {
        WechatAccountConfig.mpAppSecret = mpAppSecret;
    }

    public static String getMyToken() {
        return myToken;
    }

    public void setMyToken(String myToken) {
        WechatAccountConfig.myToken = myToken;
    }

    public static String getMyAccessToken() {
        return myAccessToken;
    }

    public void setMyAccessToken(String myAccessToken) {
        WechatAccountConfig.myAccessToken = myAccessToken;
    }

    public static String getWxAppId() {
        return wxAppId;
    }

    public void setWxAppId(String wxAppId) {
        WechatAccountConfig.wxAppId = wxAppId;
    }

    public static String getWxAppSecret() {
        return wxAppSecret;
    }

    public void setWxAppSecret(String wxAppSecret) {
        WechatAccountConfig.wxAppSecret = wxAppSecret;
    }
}