package com.ruoyi.common.utils;

import com.ruoyi.common.config.SmsConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;

/**
 * ////////////////////////////////////////////////////////////////////
 * //                          _ooOoo_
 * //                         o8888888o
 * //                         88" . "88
 * //                         (| ^_^ |)
 * //                         O\  =  /O
 * //                      ____/`---'\____
 * //                    .'  \\|     |//  `.
 * //                   /  \\|||  :  |||//  \
 * //                  /  _||||| -:- |||||-  \
 * //                  |   | \\\  -  /// |   |
 * //                  | \_|  ''\---/''  |   |
 * //                  \  .-\__  `-`  ___/-. /
 * //                ___`. .'  /--.--\  `. . ___
 * //              ."" '<  `.___\_<|>_/___.'  >'"".
 * //            | | :  `- \`.;`\ _ /`;.`/ - ` : | |
 * //            \  \ `-.   \_ __\ /__ _/   .-` /  /
 * //      ========`-.____`-.___\_____/___.-`____.-'========
 * //                           `=---='
 * //      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 * //         佛祖保佑       永无BUG     永不修改
 * ////////////////////////////////////////////////////////////////////
 *
 * @ClassName SMSUtils
 * @Description 短信发送工具类
 * @Author QiangZi
 * @DateTime 2022/3/10 17:51
 * @Version 1.0
 */
@Component
public class SmsUtils {

    private static SmsConfig smsConfig;

    /**
     * @param phoneNumber 手机号码
     * @param message     消息内容
     * @return boolean
     * @throws
     * @Author QiangZi
     * @Description 发送短信消息
     * @Date 2022/3/10 17:53
     **/
    public static boolean sendMsg(String phoneNumber, String message) {

        boolean result = false;
        try {
            StringBuffer sb = new StringBuffer(smsConfig.getUrl());
            sb.append("?username=").append(smsConfig.getUsername());
            sb.append("&password=").append(smsConfig.getPassword());
            sb.append("&productid=").append(smsConfig.getProductid());
            sb.append("&mobile=" + phoneNumber);
            //sb.append("&dstime="+URLEncoder.encode("2015-01-01 14:41:00", "utf-8"));
            sb.append("&content=" + URLEncoder.encode(message, "utf-8"));
            URL url = new URL(sb.toString());
            HttpURLConnection connection = (HttpURLConnection) url.openConnection();
            connection.setRequestMethod("POST");//or set POST
            BufferedReader in = new BufferedReader(new InputStreamReader(url.openStream()));
            String inputline = in.readLine();
            System.out.println("SEND_MSG_XSMS===" + inputline);
            String code = inputline.split(",")[0];
            result = code.equals("1");
        } catch (IOException e) {
            e.printStackTrace();
        }

        return result;
    }

    @Autowired
    public void setSmsConfig(SmsConfig smsConfig) {
        SmsUtils.smsConfig = smsConfig;
    }
}
