package com.ruoyi.quartz.mapper;

import java.util.List;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosDevice;

/**
 * 基坑监测-南方测绘-设备Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-11
 */
public interface DevPitmonitSouthsmosDeviceMapper 
{
    /**
     * 查询基坑监测-南方测绘-设备
     * 
     * @param id 基坑监测-南方测绘-设备主键
     * @return 基坑监测-南方测绘-设备
     */
    public DevPitmonitSouthsmosDevice selectDevPitmonitSouthsmosDeviceById(Long id);

    /**
     * 查询基坑监测-南方测绘-设备列表
     * 
     * @param devPitmonitSouthsmosDevice 基坑监测-南方测绘-设备
     * @return 基坑监测-南方测绘-设备集合
     */
    public List<DevPitmonitSouthsmosDevice> selectDevPitmonitSouthsmosDeviceList(DevPitmonitSouthsmosDevice devPitmonitSouthsmosDevice);

    /**
     * 新增基坑监测-南方测绘-设备
     * 
     * @param devPitmonitSouthsmosDevice 基坑监测-南方测绘-设备
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosDevice(DevPitmonitSouthsmosDevice devPitmonitSouthsmosDevice);

    /**
     * 修改基坑监测-南方测绘-设备
     * 
     * @param devPitmonitSouthsmosDevice 基坑监测-南方测绘-设备
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosDevice(DevPitmonitSouthsmosDevice devPitmonitSouthsmosDevice);

    /**
     * 删除基坑监测-南方测绘-设备
     * 
     * @param id 基坑监测-南方测绘-设备主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDeviceById(Long id);

    /**
     * 批量删除基坑监测-南方测绘-设备
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDeviceByIds(Long[] ids);
}
