package com.ruoyi.quartz.mapper;

import java.util.List;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosElement;

/**
 * 基坑监测-南方测绘-监测项Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
public interface DevPitmonitSouthsmosElementMapper 
{
    /**
     * 查询基坑监测-南方测绘-监测项
     * 
     * @param id 基坑监测-南方测绘-监测项主键
     * @return 基坑监测-南方测绘-监测项
     */
    public DevPitmonitSouthsmosElement selectDevPitmonitSouthsmosElementById(Long id);

    /**
     * 查询基坑监测-南方测绘-监测项列表
     * 
     * @param devPitmonitSouthsmosElement 基坑监测-南方测绘-监测项
     * @return 基坑监测-南方测绘-监测项集合
     */
    public List<DevPitmonitSouthsmosElement> selectDevPitmonitSouthsmosElementList(DevPitmonitSouthsmosElement devPitmonitSouthsmosElement);

    /**
     * 新增基坑监测-南方测绘-监测项
     * 
     * @param devPitmonitSouthsmosElement 基坑监测-南方测绘-监测项
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosElement(DevPitmonitSouthsmosElement devPitmonitSouthsmosElement);

    /**
     * 修改基坑监测-南方测绘-监测项
     * 
     * @param devPitmonitSouthsmosElement 基坑监测-南方测绘-监测项
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosElement(DevPitmonitSouthsmosElement devPitmonitSouthsmosElement);

    /**
     * 删除基坑监测-南方测绘-监测项
     * 
     * @param id 基坑监测-南方测绘-监测项主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosElementById(Long id);

    /**
     * 批量删除基坑监测-南方测绘-监测项
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosElementByIds(Long[] ids);
}
