package com.ruoyi.quartz.mapper;

import java.util.List;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosThreshold;

/**
 * 报警阈值Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
public interface DevPitmonitSouthsmosThresholdMapper 
{
    /**
     * 查询报警阈值
     * 
     * @param id 报警阈值主键
     * @return 报警阈值
     */
    public DevPitmonitSouthsmosThreshold selectDevPitmonitSouthsmosThresholdById(Long id);

    /**
     * 查询报警阈值列表
     * 
     * @param devPitmonitSouthsmosThreshold 报警阈值
     * @return 报警阈值集合
     */
    public List<DevPitmonitSouthsmosThreshold> selectDevPitmonitSouthsmosThresholdList(DevPitmonitSouthsmosThreshold devPitmonitSouthsmosThreshold);

    /**
     * 新增报警阈值
     * 
     * @param devPitmonitSouthsmosThreshold 报警阈值
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosThreshold(DevPitmonitSouthsmosThreshold devPitmonitSouthsmosThreshold);

    /**
     * 修改报警阈值
     * 
     * @param devPitmonitSouthsmosThreshold 报警阈值
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosThreshold(DevPitmonitSouthsmosThreshold devPitmonitSouthsmosThreshold);

    /**
     * 删除报警阈值
     * 
     * @param id 报警阈值主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosThresholdById(Long id);

    /**
     * 批量删除报警阈值
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosThresholdByIds(Long[] ids);
}
