package com.ruoyi.quartz.mapper;

import java.util.List;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;

/**
 * 项目基坑监测配置
Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
public interface SurProjectPitMonitCfgMapper 
{
    /**
     * 查询项目基坑监测配置

     * 
     * @param id 项目基坑监测配置
主键
     * @return 项目基坑监测配置

     */
    public SurProjectPitMonitCfg selectSurProjectPitMonitCfgById(Long id);

    /**
     * 查询项目基坑监测配置
列表
     * 
     * @param surProjectPitMonitCfg 项目基坑监测配置

     * @return 项目基坑监测配置
集合
     */
    public List<SurProjectPitMonitCfg> selectSurProjectPitMonitCfgList(SurProjectPitMonitCfg surProjectPitMonitCfg);

    /**
     * 新增项目基坑监测配置

     * 
     * @param surProjectPitMonitCfg 项目基坑监测配置

     * @return 结果
     */
    public int insertSurProjectPitMonitCfg(SurProjectPitMonitCfg surProjectPitMonitCfg);

    /**
     * 修改项目基坑监测配置

     * 
     * @param surProjectPitMonitCfg 项目基坑监测配置

     * @return 结果
     */
    public int updateSurProjectPitMonitCfg(SurProjectPitMonitCfg surProjectPitMonitCfg);

    /**
     * 删除项目基坑监测配置

     * 
     * @param id 项目基坑监测配置
主键
     * @return 结果
     */
    public int deleteSurProjectPitMonitCfgById(Long id);

    /**
     * 批量删除项目基坑监测配置

     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectPitMonitCfgByIds(Long[] ids);
}
