package com.ruoyi.quartz.service;

import java.util.List;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosAlarm;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;

/**
 * 基坑监测-南方测绘-报警信息Service接口
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
public interface IDevPitmonitSouthsmosAlarmService 
{
    /**
     * 查询基坑监测-南方测绘-报警信息
     * 
     * @param id 基坑监测-南方测绘-报警信息主键
     * @return 基坑监测-南方测绘-报警信息
     */
    public DevPitmonitSouthsmosAlarm selectDevPitmonitSouthsmosAlarmById(Long id);
    public DevPitmonitSouthsmosAlarm selectDevPitmonitSouthsmosAlarmBySrvId(Long id);
    /**
     * 查询基坑监测-南方测绘-报警信息列表
     * 
     * @param devPitmonitSouthsmosAlarm 基坑监测-南方测绘-报警信息
     * @return 基坑监测-南方测绘-报警信息集合
     */
    public List<DevPitmonitSouthsmosAlarm> selectDevPitmonitSouthsmosAlarmList(DevPitmonitSouthsmosAlarm devPitmonitSouthsmosAlarm);

    /**
     * 新增基坑监测-南方测绘-报警信息
     * 
     * @param devPitmonitSouthsmosAlarm 基坑监测-南方测绘-报警信息
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosAlarm(DevPitmonitSouthsmosAlarm devPitmonitSouthsmosAlarm);

    /**
     * 修改基坑监测-南方测绘-报警信息
     * 
     * @param devPitmonitSouthsmosAlarm 基坑监测-南方测绘-报警信息
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosAlarm(DevPitmonitSouthsmosAlarm devPitmonitSouthsmosAlarm);

    /**
     * 批量删除基坑监测-南方测绘-报警信息
     * 
     * @param ids 需要删除的基坑监测-南方测绘-报警信息主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosAlarmByIds(Long[] ids);

    /**
     * 删除基坑监测-南方测绘-报警信息信息
     * 
     * @param id 基坑监测-南方测绘-报警信息主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosAlarmById(Long id);

    public void addList(List<DevPitmonitSouthsmosAlarm> alarmList, SurProjectPitMonitCfg cfg);
}
