package com.ruoyi.quartz.service;

import java.util.List;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosDevSp;

/**
 * 基坑监测-南方测绘-设备-测点关系Service接口
 * 
 * @author ruoyi
 * @date 2024-08-11
 */
public interface IDevPitmonitSouthsmosDevSpService 
{
    /**
     * 查询基坑监测-南方测绘-设备-测点关系
     * 
     * @param id 基坑监测-南方测绘-设备-测点关系主键
     * @return 基坑监测-南方测绘-设备-测点关系
     */
    public DevPitmonitSouthsmosDevSp selectDevPitmonitSouthsmosDevSpById(Long id);
    public DevPitmonitSouthsmosDevSp selectDevPitmonitSouthsmosDevSpByDevId(Long devId,Long spId);
    /**
     * 查询基坑监测-南方测绘-设备-测点关系列表
     * 
     * @param devPitmonitSouthsmosDevSp 基坑监测-南方测绘-设备-测点关系
     * @return 基坑监测-南方测绘-设备-测点关系集合
     */
    public List<DevPitmonitSouthsmosDevSp> selectDevPitmonitSouthsmosDevSpList(DevPitmonitSouthsmosDevSp devPitmonitSouthsmosDevSp);

    /**
     * 新增基坑监测-南方测绘-设备-测点关系
     * 
     * @param devPitmonitSouthsmosDevSp 基坑监测-南方测绘-设备-测点关系
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosDevSp(DevPitmonitSouthsmosDevSp devPitmonitSouthsmosDevSp);

    /**
     * 修改基坑监测-南方测绘-设备-测点关系
     * 
     * @param devPitmonitSouthsmosDevSp 基坑监测-南方测绘-设备-测点关系
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosDevSp(DevPitmonitSouthsmosDevSp devPitmonitSouthsmosDevSp);

    /**
     * 批量删除基坑监测-南方测绘-设备-测点关系
     * 
     * @param ids 需要删除的基坑监测-南方测绘-设备-测点关系主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDevSpByIds(Long[] ids);

    /**
     * 删除基坑监测-南方测绘-设备-测点关系信息
     * 
     * @param id 基坑监测-南方测绘-设备-测点关系主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDevSpById(Long id);

    public void addDevPitmonitSouthsmosDevSp(DevPitmonitSouthsmosDevSp item);
}
