package com.ruoyi.quartz.service;

import java.util.List;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosDevice;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;

/**
 * 基坑监测-南方测绘-设备Service接口
 * 
 * @author ruoyi
 * @date 2024-08-11
 */
public interface IDevPitmonitSouthsmosDeviceService 
{
    /**
     * 查询基坑监测-南方测绘-设备
     * 
     * @param id 基坑监测-南方测绘-设备主键
     * @return 基坑监测-南方测绘-设备
     */
    public DevPitmonitSouthsmosDevice selectDevPitmonitSouthsmosDeviceById(Long id);
    public DevPitmonitSouthsmosDevice selectDevPitmonitSouthsmosDeviceByDevId(Long devId);
    /**
     * 查询基坑监测-南方测绘-设备列表
     * 
     * @param devPitmonitSouthsmosDevice 基坑监测-南方测绘-设备
     * @return 基坑监测-南方测绘-设备集合
     */
    public List<DevPitmonitSouthsmosDevice> selectDevPitmonitSouthsmosDeviceList(DevPitmonitSouthsmosDevice devPitmonitSouthsmosDevice);

    /**
     * 新增基坑监测-南方测绘-设备
     * 
     * @param devPitmonitSouthsmosDevice 基坑监测-南方测绘-设备
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosDevice(DevPitmonitSouthsmosDevice devPitmonitSouthsmosDevice);

    /**
     * 修改基坑监测-南方测绘-设备
     * 
     * @param devPitmonitSouthsmosDevice 基坑监测-南方测绘-设备
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosDevice(DevPitmonitSouthsmosDevice devPitmonitSouthsmosDevice);

    /**
     * 批量删除基坑监测-南方测绘-设备
     * 
     * @param ids 需要删除的基坑监测-南方测绘-设备主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDeviceByIds(Long[] ids);

    /**
     * 删除基坑监测-南方测绘-设备信息
     * 
     * @param id 基坑监测-南方测绘-设备主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDeviceById(Long id);

    public void  addList(List<DevPitmonitSouthsmosDevice> items, SurProjectPitMonitCfg cfg);
}
