export default [
  {
    id: 1,
    label: "现场管理标准化",
    children: [
      { label: "安全宣传牌", id: 101 },
      { label: "施工现场总平面布置图", id: 102 },
      { label: "工程概况", id: 103 },
      { label: "管理监督牌", id: 104 },
      { label: "安全生产纪律牌", id: 105 },
      { label: "安全生产技术牌", id: 106 },
      { label: "十项安全措施牌", id: 107 },
      { label: "消防保卫牌", id: 108 },
      { label: "卫生须知牌", id: 109 },
      { label: "管理人员岗位职责", id: 110 },
      { label: "消防管理公示牌", id: 111 },
      { label: "重大危险作业公示牌", id: 112 },
    ],
  },
  {
    id: 2,
    label: "作业标准化",
    children: [
      {
        label: "地基与基础",
        id: 201,
        children: [
          { label: "基坑支护", id: 20101 },
          { label: "地下水控制", id: 20102 },
          { label: "地基施工", id: 20103 },
          { label: "桩基础", id: 20104 },
          { label: "土方开挖", id: 20105 },
          { label: "地基钎探", id: 20106 },
          { label: "混凝土基础", id: 20107 },
          { label: "地下防水", id: 20108 },
          { label: "土方回填", id: 20109 },
        ],
      },
      {
        label: "人防工程",
        id: 202,
        children: [
          { label: "门框墙、临空墙配筋构造", id: 20201 },
          { label: "人防梁、板钢筋", id: 20202 },
          { label: "人防工程模板", id: 20203 },
          { label: "人防工程混凝土", id: 20204 },
          { label: "人防门框安装", id: 20205 },
        ],
      },

      {
        label: "主体结构",
        id: 203,
        children: [
          { label: "钢筋工程", id: 20301 },
          { label: "模板工程", id: 20302 },
          { label: "混凝土", id: 20303 },
          { label: "装配式建筑", id: 20304 },
          { label: "钢结构", id: 20305 },
          { label: "砌体结构 ", id: 20306 },
        ],
      },

      {
        label: "建筑装饰装修",
        id: 204,
        children: [
          { label: "建筑地面", id: 20401 },
          { label: "抹灰", id: 20402 },
          { label: "室内涂饰", id: 20403 },
          { label: " 门窗", id: 20404 },{ label: "吊顶", id: 20405 },
          { label: "饰面板", id: 20406 },
          { label: "变形缝", id: 20407 },
        ],
      },

      {
        label: "屋面",
        id: 205,
        children: [
          { label: "屋面施工整体策划", id: 20501 },
          { label: "檐口防水构造", id: 20502 },
          { label: "屋面女儿墙", id: 20503 },
          { label: "女儿墙泛水", id: 20504 },
          { label: "泛水", id: 20505 },
          { label: "檐沟与天沟", id: 20506 },
          { label: "屋面排气孔", id: 20507 },
          { label: "出屋面管道", id: 20508 },
          { label: "水落口", id: 20509 },
          { label: "设施基座", id: 20510 },
          { label: " 过水孔", id: 20511 },
          { label: "屋面变形缝", id: 20512 },
          { label: "屋面爬梯、出入口", id: 20513 },
          { label: "屋面分格缝", id: 20514 },
          { label: "屋面造型", id: 20515 },
          { label: "排烟风道", id: 20516 },
          { label: "屋面栈桥", id: 20517 },
          { label: "屋面水簸箕", id: 20518 },
        ],
      },

      {
        label: "建筑给排水及供暖",
        id: 206,
        children: [
          { label: "管道支吊架", id: 20601 },
          { label: "管道连接", id: 20602 },
          { label: "管道套管及封堵", id: 20603 },
          { label: "散热器安装", id: 20604 },
          { label: "水泵房、换热站", id: 20605 },
          { label: "消火栓及消防水泵接合器", id: 20606 },
          { label: " 报警阀安装", id: 20607 },
          { label: "设备减震", id: 20608 },
          { label: "消防水泵房", id: 20609 },
        ],
      },

      {
        label: "通风与空调",
        id: 207,
        children: [
          { label: "防腐和绝热", id: 20701 },
          { label: "屋面冷却塔、排烟风机安装", id: 20702 },
          { label: "太阳能、多联机、空气源及风冷热泵", id: 20703 },
          { label: "空气处理机组、风机安装", id: 20704 },
          { label: "风管制作安装", id: 20705 },
          { label: "空调主机房", id: 20706 },
        ],
      },
      {
        label: "建筑电气",
        id: 208,
        children: [
          { label: "变配电室安装", id: 20801 },
          { label: " 配电柜安装", id: 20802 },
          { label: "控制柜安装", id: 20803 },
          { label: "配电箱安装", id: 20804 },
          { label: "箱柜内配线", id: 20805 },
          { label: "箱柜内电器接地", id: 20806 },
          { label: "低压封闭母线安装", id: 20807 },
          { label: "桥架敷设", id: 20808 },
          { label: "电缆敷设", id: 20809 },
          { label: "支架安装、三通安装", id: 20810 },
          { label: "补偿装置", id: 20811 },
          { label: " 电线、电缆中间头、端头制作与安装", id: 20812 },
          { label: "开关面板安装", id: 20813 },
          { label: "灯具安装", id: 20814 },
          { label: "防雷引下线及接闪器安装", id: 20815 },
          { label: "等电位联结", id: 20816 },
          { label: "屋面金属物防雷接地", id: 20817 },
          { label: "水管井、金属门等电位安装", id: 20818 },
          { label: "灯具防护及接地", id: 20819 },
          { label: "接地测试点", id: 20820 },
        ],
      },
      {
        label: "智能建筑",
        id: 209,
        children: [
          { label: "机房设备安装", id: 20901 },
          {
            label: "信息插座安装、卫星通讯系统、公共广播系统、火灾自动报警系统 ",
            id: 20902,
          },
          { label: "数字会议系统、综合布线系统", id: 20903 },
          { label: "建筑监控系统", id: 20904 },
          { label: "信息化应用系统", id: 20905 },
        ],
      },
      {
        label: "建筑节能",
        id: 210,
        children: [
          { label: "外墙保模一体化", id: 21001 },
          { label: "外墙保温板粘贴", id: 21002 },
          { label: "防火隔离带", id: 21003 },
        ],
      },
      {
        label: "电梯",
        id: 211,
        children: [
          { label: "电梯机房", id: 21101 },
          { label: "机房吊钩", id: 21102 },
          { label: "曳引机安装 ", id: 21103 },
          { label: "曳引机、导轨接地", id: 21104 },
          { label: "电梯缓冲器", id: 21105 },
          { label: "层门、地坎安装", id: 21106 },
        ],
      },
      {
        label: "室外工程",
        id: 212,
        children: [
          { label: "散水", id: 21201 },
          { label: "室外台阶、坡道", id: 21202 },
          { label: "车库出入口", id: 21203 },
          { label: "室外雨、污水井和阀门井", id: 21204 },
          { label: "室外金属构件", id: 21205 },
          { label: "室外地面", id: 21206 },
          { label: "内部道路", id: 21207 },
          { label: "细部要求", id: 21208 },
          { label: "室外绿化 ", id: 21209 },
          { label: "室外环境", id: 21210 },
        ],
      },
    ],
  },
  {
    id: 3,
    label: "安全技术标准化",
    children: [
      {
        label: "基坑工程",
        id: 301,
        children: [
          { label: "土方开挖", id: 30101 },
          { label: "基坑支护", id: 30102 },
          { label: "基坑安全防护", id: 30103 },
          { label: "基坑防排水", id: 30104 },
          { label: "基坑周边堆载控制", id: 30105 },
          { label: "基坑监测", id: 30106 },
          { label: "基坑通道", id: 30107 },
          { label: "厚大钢筋底板钢筋支架", id: 30108 },
        ],
      },
      {
        label: "脚手架工程",
        id: 302,
        children: [
          { label: "落地式钢管脚手架", id: 30201 },
          { label: "悬挑脚手架", id: 30202 },
          { label: "附着式升降脚手架", id: 30203 },
          { label: "吊篮", id: 30204 },
        ],
      },
      {
        label: "模板支撑体系",
        id: 303,
        children: [
          { label: "承插型盘扣支撑", id: 30301 },
          { label: "扣件式钢管支撑", id: 30302 },
          { label: "铝模支撑", id: 30303 },
          { label: "特殊部位支撑", id: 30304 },
        ],
      },
      {
        label: "道路工程",
        id: 304,
        children: [
          { label: "施工围挡", id: 30401 },
          { label: "交通警示及疏导", id: 30402 },
          { label: "出入口", id: 30403 },
          { label: "场内便道", id: 30404 },
          { label: "人行便桥", id: 30405 },
          { label: "路面施工", id: 30406 },
        ],
      },
      {
        label: "管道工程",
        id: 305,
        children: [
          { label: "沟槽土方开挖、支护", id: 30501 },
          { label: "开槽施工管道主体结构", id: 30502 },
          { label: "开槽施工管道回填", id: 30503 },
          { label: "顶管基坑开挖、支护", id: 30504 },
          { label: "顶管施工梯道与平台", id: 30505 },
          { label: "基坑监测与管线保护", id: 30506 },
          { label: "顶管施工一般规定", id: 30507 },
          { label: "顶管设备安装", id: 30508 },
          { label: "顶管顶进", id: 30509 },
        ],
      },
      {
        label: "桥梁工程",
        id: 306,
        children: [
          { label: "基础防护施工 ", id: 30601 },
          { label: "下部结构防护施工", id: 30602 },
          { label: "上部结构防护施工", id: 30603 },
        ],
      },
      {
        label: "特种作业",
        id: 307,
        children: [
          { label: "受限空间", id: 30701 },
          { label: "动火作业", id: 30702 },
          { label: "临时用电", id: 30703 },
          { label: "高处作业", id: 30704 },
          { label: "吊装作业", id: 30705 },
          { label: "破土作业", id: 30706 },
          { label: "断路作业", id: 30707 },
        ],
      },
      {
        label: "临时用电",
        id: 308,
        children: [
          { label: "外电防护", id: 30801 },
          { label: "总配电室", id: 30802 },
          { label: "电缆敷设", id: 30803 },
          { label: " 配电箱及开关箱", id: 30804 },
          { label: "电箱及围栏", id: 30805 },
          { label: "重复接地和防雷", id: 30806 },
          { label: "照明", id: 30807 },
          { label: "电焊机", id: 30808 },
        ],
      },
      {
        label: "临时用水及消防",
        id: 309,
        children: [
          { label: "消防总平面布置图", id: 30901 },
          { label: "消防管线布置", id: 30902 },
          { label: "楼层内消防水系统", id: 30903 },
          { label: "消防泵房", id: 30904 },
          { label: "灭火器", id: 30905 },
          { label: "微型消防站", id: 30906 },
        ],
      },
      {
        label: "安全防护",
        id: 310,
        children: [
          { label: "个体防护", id: 31001 },
          { label: "安全标志", id: 31002 },
          { label: "洞口防护", id: 31003 },
          { label: "临边防护", id: 31004 },
          { label: "安全防护棚", id: 31005 },
          { label: "操作平台", id: 31006 },
          { label: "钢结构施工安全防护", id: 31007 },
          { label: "易燃易爆危险品库房", id: 31008 },
          { label: "气瓶使用", id: 31009 },
        ],
      },
      { label: "防汛管控", id: 311 },
      { label: "高温管控", id: 312 },
      { label: "严寒管控", id: 313 },
      { label: "应急物资", id: 314 },
    ],
  },
  {
    id: 4,
    label: "文明施工标准化",
    children: [
      {
        label: "大门视觉系统",
        id: 401,
        children: [
          { label: "项目大门", id: 40101 },
          { label: "围墙及围挡", id: 40102 },
          { label: "门禁", id: 40103 },
        ],
      },
      {
        label: "场地及临建布置",
        id: 402,
        children: [
          { label: "办公生活区", id: 40201 },
          { label: "施工区", id: 40202 },
        ],
      },
      { label: "材料堆放", id: 403 },
      { label: "人车分流", id: 404 },
    ],
  },
  {
    id: 5,
    label: "设备管理标准化",
    children: [
      { label: "塔式起重机", id: 501 },
      { label: "施工升降机", id: 502 },
      { label: "汽车吊", id: 503 },
      { label: "履带吊", id: 504 },
      { label: "高空作业车", id: 505 },
      { label: "叉车", id: 506 },
      { label: " 桩机", id: 507 },
      { label: "中小型机械", id: 508 },
      { label: "其他机械", id: 509 },
    ],
  },
  {
    id: 6,
    label: "环境保护标准化",
    children: [
      { label: "硬化保洁", id: 601 },
      { label: "车辆冲洗", id: 602 },
      { label: "覆盖苫盖", id: 603 },
      { label: "湿法作业", id: 604 },
      { label: "主体施工", id: 605 },
      { label: "土方回填、管网及绿化施工", id: 606 },
      { label: "现场喷淋设施", id: 607 },
      { label: "扬尘监测仪", id: 608 },
      { label: "环境保护监督牌", id: 609 },
      { label: "应急响应公示牌", id: 610 },
    ],
  },
];
