package com.ruoyi.web.common;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.DictUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @version : V1.0
 * @ClassName: PublicsController
 * @Description: 公共服务
 * @Auther: JiangYuQi
 * @Date: 2020/7/7 18:03
 */
@RestController
@RequestMapping("/wechat/publics")
public class WxPublicsController {

    /**
     * 查询演训类型
     * @return
     */
    @GetMapping("/v1/getDictCache/{type}")
    public AjaxResult queryTrainDataType(@PathVariable("type") String type){
        return AjaxResult.success(DictUtils.getDictCache(type));
    }
}
