package com.yanzhu.jh.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 期刊详情对象 base_mag_detail
 * 
 * @author ruoyi
 * @date 2024-04-04
 */
public class BaseMagDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 期刊id */
    @Excel(name = "期刊id")
    private Long magid;

    /** 栏目字典mag_topic */
    @Excel(name = "栏目字典mag_topic")
    private Long topic;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 总包编号 */
    @Excel(name = "总包编号")
    private Long deptid;

    /** 作者 */
    @Excel(name = "作者")
    private String authorName;

    /** 作者电话 */
    @Excel(name = "作者电话")
    private String authorPhone;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long ord;

    /** 图片 */
    @Excel(name = "图片")
    private String images;

    /** 正文 */
    @Excel(name = "正文")
    private String content;


    private String name;
    private String deptName;
    private String topicName;

    public String getName() {
        return name;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setName(String name) {
        this.name = name;
    }



    public String getTopicName() {
        return topicName;
    }

    public void setTopicName(String topicName) {
        this.topicName = topicName;
    }

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMagid(Long magid) 
    {
        this.magid = magid;
    }

    public Long getMagid() 
    {
        return magid;
    }
    public void setTopic(Long topic) 
    {
        this.topic = topic;
    }

    public Long getTopic() 
    {
        return topic;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setDeptid(Long deptid) 
    {
        this.deptid = deptid;
    }

    public Long getDeptid() 
    {
        return deptid;
    }
    public void setAuthorName(String authorName) 
    {
        this.authorName = authorName;
    }

    public String getAuthorName() 
    {
        return authorName;
    }
    public void setAuthorPhone(String authorPhone) 
    {
        this.authorPhone = authorPhone;
    }

    public String getAuthorPhone() 
    {
        return authorPhone;
    }
    public void setOrd(Long ord) 
    {
        this.ord = ord;
    }

    public Long getOrd() 
    {
        return ord;
    }
    public void setImages(String images) 
    {
        this.images = images;
    }

    public String getImages() 
    {
        return images;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("magid", getMagid())
            .append("topic", getTopic())
            .append("title", getTitle())
            .append("deptid", getDeptid())
            .append("authorName", getAuthorName())
            .append("authorPhone", getAuthorPhone())
            .append("ord", getOrd())
            .append("images", getImages())
            .append("content", getContent())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
