package com.yanzhu.jh.device.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备管理对象 dev_pitmonit_southsmos_device
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public class PitmonitSouthsmosDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 配置ID */
    @Excel(name = "配置ID")
    private Long cfgId;

    /** 设备ID */
    @Excel(name = "设备ID")
    private Long devId;

    /**  */
    @Excel(name = "")
    private String autoType;

    /**  */
    @Excel(name = "")
    private String certUrl;

    /**  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String devCode;

    /**  */
    @Excel(name = "")
    private String devShadow;

    /**  */
    @Excel(name = "")
    private String devType;

    /**  */
    @Excel(name = "")
    private String devTypeName;

    /**  */
    @Excel(name = "")
    private String key;

    /**  */
    @Excel(name = "")
    private String manufacturer;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String name;

    /**  */
    @Excel(name = "")
    private Long orgId;

    /**  */
    @Excel(name = "")
    private String parent;

    /**  */
    @Excel(name = "")
    private String parentIds;

    /**  */
    @Excel(name = "")
    private String productType;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /**  */
    @Excel(name = "")
    private String status;

    /** 工程ID */
    @Excel(name = "工程ID")
    private Long structureId;

    /**  */
    @Excel(name = "")
    private String structureName;

    /**  */
    @Excel(name = "")
    private String typeCategory;

    /**  */
    @Excel(name = "")
    private String typeName;

    /**  */
    @Excel(name = "")
    private String verifyDate;

    /**  */
    @Excel(name = "")
    private Long state;

    /**  */
    @Excel(name = "")
    private Long isDel;

    private Long subDeptId;
    private Long projectId;
    private String prjName;
    private String deptName;

    private List<PitmonitSouthsmosSurveypoint> surveypoints;

    public List<PitmonitSouthsmosSurveypoint> getSurveypoints() {
        return surveypoints;
    }

    public void setSurveypoints(List<PitmonitSouthsmosSurveypoint> surveypoints) {
        this.surveypoints = surveypoints;
    }

    public Long getSubDeptId() {
        return subDeptId;
    }

    public void setSubDeptId(Long subDeptId) {
        this.subDeptId = subDeptId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getPrjName() {
        return prjName;
    }

    public void setPrjName(String prjName) {
        this.prjName = prjName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setDevId(Long devId) 
    {
        this.devId = devId;
    }

    public Long getDevId() 
    {
        return devId;
    }
    public void setAutoType(String autoType) 
    {
        this.autoType = autoType;
    }

    public String getAutoType() 
    {
        return autoType;
    }
    public void setCertUrl(String certUrl) 
    {
        this.certUrl = certUrl;
    }

    public String getCertUrl() 
    {
        return certUrl;
    }
    public void setCheckDate(Date checkDate) 
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate() 
    {
        return checkDate;
    }
    public void setDevCode(String devCode) 
    {
        this.devCode = devCode;
    }

    public String getDevCode() 
    {
        return devCode;
    }
    public void setDevShadow(String devShadow) 
    {
        this.devShadow = devShadow;
    }

    public String getDevShadow() 
    {
        return devShadow;
    }
    public void setDevType(String devType) 
    {
        this.devType = devType;
    }

    public String getDevType() 
    {
        return devType;
    }
    public void setDevTypeName(String devTypeName) 
    {
        this.devTypeName = devTypeName;
    }

    public String getDevTypeName() 
    {
        return devTypeName;
    }
    public void setKey(String key) 
    {
        this.key = key;
    }

    public String getKey() 
    {
        return key;
    }
    public void setManufacturer(String manufacturer) 
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() 
    {
        return manufacturer;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setOrgId(Long orgId) 
    {
        this.orgId = orgId;
    }

    public Long getOrgId() 
    {
        return orgId;
    }
    public void setParent(String parent) 
    {
        this.parent = parent;
    }

    public String getParent() 
    {
        return parent;
    }
    public void setParentIds(String parentIds) 
    {
        this.parentIds = parentIds;
    }

    public String getParentIds() 
    {
        return parentIds;
    }
    public void setProductType(String productType) 
    {
        this.productType = productType;
    }

    public String getProductType() 
    {
        return productType;
    }
    public void setPosition(String position) 
    {
        this.position = position;
    }

    public String getPosition() 
    {
        return position;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setStructureId(Long structureId) 
    {
        this.structureId = structureId;
    }

    public Long getStructureId() 
    {
        return structureId;
    }
    public void setStructureName(String structureName) 
    {
        this.structureName = structureName;
    }

    public String getStructureName() 
    {
        return structureName;
    }
    public void setTypeCategory(String typeCategory) 
    {
        this.typeCategory = typeCategory;
    }

    public String getTypeCategory() 
    {
        return typeCategory;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setVerifyDate(String verifyDate) 
    {
        this.verifyDate = verifyDate;
    }

    public String getVerifyDate() 
    {
        return verifyDate;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("devId", getDevId())
            .append("autoType", getAutoType())
            .append("certUrl", getCertUrl())
            .append("checkDate", getCheckDate())
            .append("devCode", getDevCode())
            .append("devShadow", getDevShadow())
            .append("devType", getDevType())
            .append("devTypeName", getDevTypeName())
            .append("key", getKey())
            .append("manufacturer", getManufacturer())
            .append("name", getName())
            .append("orgId", getOrgId())
            .append("parent", getParent())
            .append("parentIds", getParentIds())
            .append("productType", getProductType())
            .append("position", getPosition())
            .append("status", getStatus())
            .append("structureId", getStructureId())
            .append("structureName", getStructureName())
            .append("typeCategory", getTypeCategory())
            .append("typeName", getTypeName())
            .append("verifyDate", getVerifyDate())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
