package com.yanzhu.jh.device.mapper;

import java.util.List;
import com.yanzhu.jh.device.domain.ProjectPitMonitCfg;

/**
 * 项目基坑监测配置
Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface ProjectPitMonitCfgMapper
{
    /**
     * 查询项目基坑监测配置

     * 
     * @param id 项目基坑监测配置
主键
     * @return 项目基坑监测配置

     */
    public ProjectPitMonitCfg selectSurProjectPitMonitCfgById(Long id);

    /**
     * 查询项目基坑监测配置
列表
     * 
     * @param projectPitMonitCfg 项目基坑监测配置

     * @return 项目基坑监测配置
集合
     */
    public List<ProjectPitMonitCfg> selectSurProjectPitMonitCfgList(ProjectPitMonitCfg projectPitMonitCfg);

    /**
     * 新增项目基坑监测配置

     * 
     * @param projectPitMonitCfg 项目基坑监测配置

     * @return 结果
     */
    public int insertSurProjectPitMonitCfg(ProjectPitMonitCfg projectPitMonitCfg);

    /**
     * 修改项目基坑监测配置

     * 
     * @param projectPitMonitCfg 项目基坑监测配置

     * @return 结果
     */
    public int updateSurProjectPitMonitCfg(ProjectPitMonitCfg projectPitMonitCfg);

    /**
     * 删除项目基坑监测配置

     * 
     * @param id 项目基坑监测配置
主键
     * @return 结果
     */
    public int deleteSurProjectPitMonitCfgById(Long id);

    /**
     * 批量删除项目基坑监测配置

     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectPitMonitCfgByIds(Long[] ids);
}
