package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 劳资管理对象 sur_project_attendance_unitpay
 * 
 * @author ruoyi
 * @date 2024-11-10
 */
public class SurProjectAttendanceUnitpay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 配置ID */
    @Excel(name = "配置ID")
    private Long cfgId;

    /** 班组ID */
    @Excel(name = "班组ID")
    private String groupId;

    /** 班组名称 */
    @Excel(name = "班组名称")
    private String groupName;

    /** 工种编码 */
    @Excel(name = "工种编码")
    private String workTypeCode;

    /** 工种 */
    @Excel(name = "工种")
    private String workTypeName;

    /** 工资 */
    @Excel(name = "工资")
    private Long unitPay;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setGroupId(String groupId) 
    {
        this.groupId = groupId;
    }

    public String getGroupId() 
    {
        return groupId;
    }
    public void setGroupName(String groupName) 
    {
        this.groupName = groupName;
    }

    public String getGroupName() 
    {
        return groupName;
    }
    public void setWorkTypeCode(String workTypeCode) 
    {
        this.workTypeCode = workTypeCode;
    }

    public String getWorkTypeCode() 
    {
        return workTypeCode;
    }
    public void setWorkTypeName(String workTypeName) 
    {
        this.workTypeName = workTypeName;
    }

    public String getWorkTypeName() 
    {
        return workTypeName;
    }
    public void setUnitPay(Long unitPay) 
    {
        this.unitPay = unitPay;
    }

    public Long getUnitPay() 
    {
        return unitPay;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    private int year;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("groupId", getGroupId())
            .append("groupName", getGroupName())
            .append("workTypeCode", getWorkTypeCode())
            .append("workTypeName", getWorkTypeName())
            .append("unitPay", getUnitPay())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }
}
