package com.ruoyi.common.enums;

/**
 * 公共状态枚举
 */
public enum PublicStateEnum {

    YES("Y", "YES"),
    NO("N", "NO"),
    OK("0", "正常"),
    DISABLE("1", "停用"),
    DELETED("2", "删除"),
    HG("1","合格"),
    BHG("2","不合格"),
    USERTYPE_JFJL("21", "甲方经理"),
    /**********************************项目验收***************************************/
    PROJECT_CHECK_TYPE_JPYS("1", "举牌验收"),
    PROJECT_CHECK_POSITION_TYPE("1", "默认工序部位类型"),
    /**********************************项目验收***************************************/

    /**********************************审批相关***************************************/
    AUDIT_TYPE_QYFS("1", "取样复试"),
    AUDIT_TYPE_CLFY("4", "材料封样"),
    AUDIT_TYPE_JPYS("3", "举牌验收"),
    AUDIT_TYPE_SCSL("2", "实测实量"),
    AUDIT_TYPE_GCGNJY("5", "工程功能检验"),
    AUDITINFO_DSH("1", "待审核"),
    AUDITINFO_SHBH("3", "审核驳回"),
    AUDITINFO_SHTG("4", "审核通过"),
    /**********************************审批相关***************************************/

    /**********************************视频设备***************************************/
    VIDEO_ONLINE("1", "在线"),
    VIDEO_OFFLINE("2", "离线"),
    VIDEO_UNKNOWN("3", "未知"),
    /**********************************视频设备***************************************/

    /**********************************材料进场取样复试***************************************/
    CHECK_STATE_SJ("1", "送检中"),
    /**********************************材料进场取样复试***************************************/
    COMZGS("1","子公司状态标识");

    private final String code;
    private final String info;

    PublicStateEnum(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

}
