package com.ruoyi.quartz.service;

import java.util.List;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosData;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosElement;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;

/**
 * 基坑监测-南方测绘-测点数据Service接口
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
public interface IDevPitmonitSouthsmosDataService 
{
    /**
     * 查询基坑监测-南方测绘-测点数据
     * 
     * @param id 基坑监测-南方测绘-测点数据主键
     * @return 基坑监测-南方测绘-测点数据
     */
    public DevPitmonitSouthsmosData selectDevPitmonitSouthsmosDataById(Long id);
    public DevPitmonitSouthsmosData selectDevPitmonitSouthsmosDataByDataId(Long id);
    /**
     * 查询基坑监测-南方测绘-测点数据列表
     * 
     * @param devPitmonitSouthsmosData 基坑监测-南方测绘-测点数据
     * @return 基坑监测-南方测绘-测点数据集合
     */
    public List<DevPitmonitSouthsmosData> selectDevPitmonitSouthsmosDataList(DevPitmonitSouthsmosData devPitmonitSouthsmosData);

    /**
     * 新增基坑监测-南方测绘-测点数据
     * 
     * @param devPitmonitSouthsmosData 基坑监测-南方测绘-测点数据
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosData(DevPitmonitSouthsmosData devPitmonitSouthsmosData);

    /**
     * 修改基坑监测-南方测绘-测点数据
     * 
     * @param devPitmonitSouthsmosData 基坑监测-南方测绘-测点数据
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosData(DevPitmonitSouthsmosData devPitmonitSouthsmosData);

    /**
     * 批量删除基坑监测-南方测绘-测点数据
     * 
     * @param ids 需要删除的基坑监测-南方测绘-测点数据主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDataByIds(Long[] ids);

    /**
     * 删除基坑监测-南方测绘-测点数据信息
     * 
     * @param id 基坑监测-南方测绘-测点数据主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDataById(Long id);

    public void addList(List<DevPitmonitSouthsmosData> dataList, SurProjectPitMonitCfg cfg, DevPitmonitSouthsmosElement el);
}
