package com.ruoyi.quartz.service;

import java.util.List;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosSurveypoint;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;

/**
 * 基坑监测-南方测绘-测点Service接口
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
public interface IDevPitmonitSouthsmosSurveypointService 
{
    /**
     * 查询基坑监测-南方测绘-测点
     * 
     * @param id 基坑监测-南方测绘-测点主键
     * @return 基坑监测-南方测绘-测点
     */
    public DevPitmonitSouthsmosSurveypoint selectDevPitmonitSouthsmosSurveypointById(Long id);
    public DevPitmonitSouthsmosSurveypoint selectDevPitmonitSouthsmosSurveypointBySpId(Long id);
    /**
     * 查询基坑监测-南方测绘-测点列表
     * 
     * @param devPitmonitSouthsmosSurveypoint 基坑监测-南方测绘-测点
     * @return 基坑监测-南方测绘-测点集合
     */
    public List<DevPitmonitSouthsmosSurveypoint> selectDevPitmonitSouthsmosSurveypointList(DevPitmonitSouthsmosSurveypoint devPitmonitSouthsmosSurveypoint);

    /**
     * 新增基坑监测-南方测绘-测点
     * 
     * @param devPitmonitSouthsmosSurveypoint 基坑监测-南方测绘-测点
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosSurveypoint(DevPitmonitSouthsmosSurveypoint devPitmonitSouthsmosSurveypoint);

    /**
     * 修改基坑监测-南方测绘-测点
     * 
     * @param devPitmonitSouthsmosSurveypoint 基坑监测-南方测绘-测点
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosSurveypoint(DevPitmonitSouthsmosSurveypoint devPitmonitSouthsmosSurveypoint);

    /**
     * 批量删除基坑监测-南方测绘-测点
     * 
     * @param ids 需要删除的基坑监测-南方测绘-测点主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosSurveypointByIds(Long[] ids);

    /**
     * 删除基坑监测-南方测绘-测点信息
     * 
     * @param id 基坑监测-南方测绘-测点主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosSurveypointById(Long id);

    public void addList(List<DevPitmonitSouthsmosSurveypoint> ptList, SurProjectPitMonitCfg cfg);
}
