package com.ruoyi.domain;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 塔吊检测推送信息 请求内容
 *
 * @author: JiangYuQi
 * @date: 2024/01/13 12:21
 */
@Data
public class TowerContentReqVo {

    /**
     * 数据产生的时间戳
     */
    private Long time;

    /**
     * 数据类型
     */
    private String dataType;

    /**
     * 设备序列号，唯一标识 84E0*****
     */
    private String deviceKey;

    /**
     * 上报内容
     */
    private Map<String, Object> dataContent;

    /**
     * 碰撞信息
     */
    private Map<String, Object> localDeviceInfo;

    /**
     * 碰撞塔吊设备信息
     */
    private List<Map<String, Object>> collideTowers;

}
