package com.ruoyi.domain;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 塔吊检测推送信息 请求参数
 *
 * @author: JiangYuQi
 * @date: 2024/01/13 12:21
 */
@Data
public class TowerReqVo {

    /**
     * 上报类型
     */
    @NotNull(message = "上报类型不能为空")
    private int type;

    /**
     * 上报内容
     */
    @NotNull(message = "上报内容不能为空")
    private TowerContentReqVo content;

}
