package com.ruoyi.emuns;

/**
 * 塔吊数据类型
 */
public enum TowerTypeEnums {

    BASE(118,"塔机上报基本信息"),
    RUN(111,"塔机上报实时数据"),
    ROUND(119,"塔机上报工作循环数据"),
    COLLIDE(116,"塔机上报碰撞信息"),
    LIMIT(120,"塔机上报限位信息"),
    LOCAL(121,"塔机上报标定位信息");

    private final int code;
    private final String info;

    TowerTypeEnums(int code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public int getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

}
