package com.yanzhu.jh.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 监测项管理对象 dev_pitmonit_southsmos_element
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public class PitmonitSouthsmosElement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 配置ID */
    @Excel(name = "配置ID")
    private Long cfgId;

    /** 服务端ID */
    @Excel(name = "服务端ID")
    private Long srvId;

    /** 服务端参数maxSp */
    @Excel(name = "服务端参数maxSp")
    private String maxSp;

    /** 服务端参数monitorStatus */
    @Excel(name = "服务端参数monitorStatus")
    private String monitorStatus;

    /** 服务端参数name */
    @Excel(name = "服务端参数name")
    private String name;

    /** 服务端参数nameEn */
    @Excel(name = "服务端参数nameEn")
    private String nameEn;

    /** 服务端参数type */
    @Excel(name = "服务端参数type")
    private String type;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setSrvId(Long srvId) 
    {
        this.srvId = srvId;
    }

    public Long getSrvId() 
    {
        return srvId;
    }
    public void setMaxSp(String maxSp) 
    {
        this.maxSp = maxSp;
    }

    public String getMaxSp() 
    {
        return maxSp;
    }
    public void setMonitorStatus(String monitorStatus) 
    {
        this.monitorStatus = monitorStatus;
    }

    public String getMonitorStatus() 
    {
        return monitorStatus;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setNameEn(String nameEn) 
    {
        this.nameEn = nameEn;
    }

    public String getNameEn() 
    {
        return nameEn;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    private Long subDeptId;
    private Long projectId;
    private String prjName;
    private String deptName;

    private List<PitmonitSouthsmosElementItem> children;

    public List<PitmonitSouthsmosElementItem> getChildren() {
        return children;
    }

    public void setChildren(List<PitmonitSouthsmosElementItem> children) {
        this.children = children;
    }

    public Long getSubDeptId() {
        return subDeptId;
    }

    public void setSubDeptId(Long subDeptId) {
        this.subDeptId = subDeptId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getPrjName() {
        return prjName;
    }

    public void setPrjName(String prjName) {
        this.prjName = prjName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("srvId", getSrvId())
            .append("maxSp", getMaxSp())
            .append("monitorStatus", getMonitorStatus())
            .append("name", getName())
            .append("nameEn", getNameEn())
            .append("type", getType())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
