package com.yanzhu.jh.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 测项明细对象 dev_pitmonit_southsmos_element_item
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public class PitmonitSouthsmosElementItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 配置ID */
    @Excel(name = "配置ID")
    private Long cfgId;

    /** 服务端ID */
    @Excel(name = "服务端ID")
    private Long srvId;

    /** dev_pitmonit_southsmos_element表srvId */
    @Excel(name = "dev_pitmonit_southsmos_element表srvId")
    private Long monitorElementId;

    /** 服务端name */
    @Excel(name = "服务端name")
    private String name;

    /** 服务端step */
    @Excel(name = "服务端step")
    private Long step;

    /** 服务端unit */
    @Excel(name = "服务端unit")
    private String unit;

    /** 服务端valueRange */
    @Excel(name = "服务端valueRange")
    private String valueRange;

    /** 服务端gmtCreate */
    @Excel(name = "服务端gmtCreate")
    private String gmtCreate;

    /** 服务端gmtModified */
    @Excel(name = "服务端gmtModified")
    private String gmtModified;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setSrvId(Long srvId) 
    {
        this.srvId = srvId;
    }

    public Long getSrvId() 
    {
        return srvId;
    }
    public void setMonitorElementId(Long monitorElementId) 
    {
        this.monitorElementId = monitorElementId;
    }

    public Long getMonitorElementId() 
    {
        return monitorElementId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setStep(Long step) 
    {
        this.step = step;
    }

    public Long getStep() 
    {
        return step;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setValueRange(String valueRange) 
    {
        this.valueRange = valueRange;
    }

    public String getValueRange() 
    {
        return valueRange;
    }
    public void setGmtCreate(String gmtCreate) 
    {
        this.gmtCreate = gmtCreate;
    }

    public String getGmtCreate() 
    {
        return gmtCreate;
    }
    public void setGmtModified(String gmtModified) 
    {
        this.gmtModified = gmtModified;
    }

    public String getGmtModified() 
    {
        return gmtModified;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("srvId", getSrvId())
            .append("monitorElementId", getMonitorElementId())
            .append("name", getName())
            .append("step", getStep())
            .append("unit", getUnit())
            .append("valueRange", getValueRange())
            .append("gmtCreate", getGmtCreate())
            .append("gmtModified", getGmtModified())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
