package com.yanzhu.jh.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报警阈值对象 dev_pitmonit_southsmos_threshold
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public class PitmonitSouthsmosThreshold extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 配置ID */
    @Excel(name = "配置ID")
    private Long cfgId;

    /** 服务端ID */
    @Excel(name = "服务端ID")
    private Long srvId;

    /** 报警信息 */
    @Excel(name = "报警信息")
    private String alarmInfo;

    /** 报警名称 */
    @Excel(name = "报警名称")
    private String alarmName;

    /** 时间段起始点 */
    @Excel(name = "时间段起始点")
    private Long intervalA;

    /** 时间段终止点 */
    @Excel(name = "时间段终止点")
    private Long intervalB;

    /** 报警值等级0：正常 1:超预警2：超报警3：超控制 */
    @Excel(name = "报警值等级0：正常 1:超预警2：超报警3：超控制")
    private Long level;

    /** 监测项ID */
    @Excel(name = "监测项ID")
    private Long monitorElementId;

    /** 监测分项Id */
    @Excel(name = "监测分项Id")
    private Long monitorItemId;

    /** 监测分项名称 */
    @Excel(name = "监测分项名称")
    private String monitorItemName;

    /** 报警值组Id */
    @Excel(name = "报警值组Id")
    private Long tgId;

    /** 报警值 */
    @Excel(name = "报警值")
    private String threshold;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /**  */
    @Excel(name = "")
    private Long isDel;

    private Long subDeptId;
    private Long projectId;
    private String prjName;
    private String deptName;
    private String elName;

    public Long getSubDeptId() {
        return subDeptId;
    }

    public void setSubDeptId(Long subDeptId) {
        this.subDeptId = subDeptId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getPrjName() {
        return prjName;
    }

    public void setPrjName(String prjName) {
        this.prjName = prjName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getElName() {
        return elName;
    }

    public void setElName(String elName) {
        this.elName = elName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setSrvId(Long srvId) 
    {
        this.srvId = srvId;
    }

    public Long getSrvId() 
    {
        return srvId;
    }
    public void setAlarmInfo(String alarmInfo) 
    {
        this.alarmInfo = alarmInfo;
    }

    public String getAlarmInfo() 
    {
        return alarmInfo;
    }
    public void setAlarmName(String alarmName) 
    {
        this.alarmName = alarmName;
    }

    public String getAlarmName() 
    {
        return alarmName;
    }
    public void setIntervalA(Long intervalA) 
    {
        this.intervalA = intervalA;
    }

    public Long getIntervalA() 
    {
        return intervalA;
    }
    public void setIntervalB(Long intervalB) 
    {
        this.intervalB = intervalB;
    }

    public Long getIntervalB() 
    {
        return intervalB;
    }
    public void setLevel(Long level) 
    {
        this.level = level;
    }

    public Long getLevel() 
    {
        return level;
    }
    public void setMonitorElementId(Long monitorElementId) 
    {
        this.monitorElementId = monitorElementId;
    }

    public Long getMonitorElementId() 
    {
        return monitorElementId;
    }
    public void setMonitorItemId(Long monitorItemId) 
    {
        this.monitorItemId = monitorItemId;
    }

    public Long getMonitorItemId() 
    {
        return monitorItemId;
    }
    public void setMonitorItemName(String monitorItemName) 
    {
        this.monitorItemName = monitorItemName;
    }

    public String getMonitorItemName() 
    {
        return monitorItemName;
    }
    public void setTgId(Long tgId) 
    {
        this.tgId = tgId;
    }

    public Long getTgId() 
    {
        return tgId;
    }
    public void setThreshold(String threshold) 
    {
        this.threshold = threshold;
    }

    public String getThreshold() 
    {
        return threshold;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("srvId", getSrvId())
            .append("alarmInfo", getAlarmInfo())
            .append("alarmName", getAlarmName())
            .append("intervalA", getIntervalA())
            .append("intervalB", getIntervalB())
            .append("level", getLevel())
            .append("monitorElementId", getMonitorElementId())
            .append("monitorItemId", getMonitorItemId())
            .append("monitorItemName", getMonitorItemName())
            .append("tgId", getTgId())
            .append("threshold", getThreshold())
            .append("type", getType())
            .append("unit", getUnit())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
