package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosElement;

/**
 * 监测项管理Service接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface IPitmonitSouthsmosElementService
{
    /**
     * 查询监测项管理
     * 
     * @param id 监测项管理主键
     * @return 监测项管理
     */
    public PitmonitSouthsmosElement selectDevPitmonitSouthsmosElementById(Long id);

    /**
     * 查询监测项管理列表
     * 
     * @param pitmonitSouthsmosElement 监测项管理
     * @return 监测项管理集合
     */
    public List<PitmonitSouthsmosElement> selectDevPitmonitSouthsmosElementList(PitmonitSouthsmosElement pitmonitSouthsmosElement);

    /**
     * 新增监测项管理
     * 
     * @param pitmonitSouthsmosElement 监测项管理
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosElement(PitmonitSouthsmosElement pitmonitSouthsmosElement);

    /**
     * 修改监测项管理
     * 
     * @param pitmonitSouthsmosElement 监测项管理
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosElement(PitmonitSouthsmosElement pitmonitSouthsmosElement);

    /**
     * 批量删除监测项管理
     * 
     * @param ids 需要删除的监测项管理主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosElementByIds(Long[] ids);

    /**
     * 删除监测项管理信息
     * 
     * @param id 监测项管理主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosElementById(Long id);
}
