package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosSurveypoint;

/**
 * 测点管理Service接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface IPitmonitSouthsmosSurveypointService
{
    /**
     * 查询测点管理
     * 
     * @param id 测点管理主键
     * @return 测点管理
     */
    public PitmonitSouthsmosSurveypoint selectDevPitmonitSouthsmosSurveypointById(Long id);

    /**
     * 查询测点管理列表
     * 
     * @param pitmonitSouthsmosSurveypoint 测点管理
     * @return 测点管理集合
     */
    public List<PitmonitSouthsmosSurveypoint> selectDevPitmonitSouthsmosSurveypointList(PitmonitSouthsmosSurveypoint pitmonitSouthsmosSurveypoint);

    /**
     * 新增测点管理
     * 
     * @param pitmonitSouthsmosSurveypoint 测点管理
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosSurveypoint(PitmonitSouthsmosSurveypoint pitmonitSouthsmosSurveypoint);

    /**
     * 修改测点管理
     * 
     * @param pitmonitSouthsmosSurveypoint 测点管理
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosSurveypoint(PitmonitSouthsmosSurveypoint pitmonitSouthsmosSurveypoint);

    /**
     * 批量删除测点管理
     * 
     * @param ids 需要删除的测点管理主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosSurveypointByIds(Long[] ids);

    /**
     * 删除测点管理信息
     * 
     * @param id 测点管理主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosSurveypointById(Long id);
}
