package com.yanzhu.jh.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 项目成本产值对象 sur_project_cost_output
 * 
 * @author ruoyi
 * @date 2023-08-27
 */
public class SurProjectCostOutput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private Long projectId;

    /** 金额 */
    @Excel(name = "金额")
    private Long money;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    private String deptName;
    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    private Long deptId;

    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 月份 */
    @Excel(name = "月份")
    private Long month;

    /** 类型,字典project_cost_output_type */
    @Excel(name = "类型,字典project_cost_output_type")
    private Long costType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    /** 金额2 */
    @Excel(name = "金额2")
    private Long money2;

    @Excel(name = "金额3")
    private Long money3;

    public Long getMoney3() {
        return money3;
    }

    public void setMoney3(Long money3) {
        this.money3 = money3;
    }

    public Long getMoney4() {
        return money4;
    }

    public void setMoney4(Long money4) {
        this.money4 = money4;
    }

    public Long getMoney5() {
        return money5;
    }

    public void setMoney5(Long money5) {
        this.money5 = money5;
    }

    @Excel(name = "金额4")
    private Long money4;

    @Excel(name = "金额5")
    private Long money5;

    /** 日期1 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期1", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date1;

    /** 日期2 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期2", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date2;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setMoney(Long money) 
    {
        this.money = money;
    }

    public Long getMoney() 
    {
        return money;
    }
    public void setYear(Long year) 
    {
        this.year = year;
    }

    public Long getYear() 
    {
        return year;
    }
    public void setMonth(Long month) 
    {
        this.month = month;
    }

    public Long getMonth() 
    {
        return month;
    }
    public void setCostType(Long costType) 
    {
        this.costType = costType;
    }

    public Long getCostType() 
    {
        return costType;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setMoney2(Long money2) 
    {
        this.money2 = money2;
    }

    public Long getMoney2() 
    {
        return money2;
    }
    public void setDate1(Date date1) 
    {
        this.date1 = date1;
    }

    public Date getDate1() 
    {
        return date1;
    }
    public void setDate2(Date date2) 
    {
        this.date2 = date2;
    }

    public Date getDate2() 
    {
        return date2;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("money", getMoney())
            .append("year", getYear())
            .append("month", getMonth())
            .append("costType", getCostType())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("money2", getMoney2())
            .append("date1", getDate1())
            .append("date2", getDate2())
            .toString();
    }
}
