package com.yanzhu.jh.project.service;

import com.yanzhu.jh.project.domain.SurProject;
import com.yanzhu.jh.project.domain.vo.ProjectViewExport;
import com.yanzhu.jh.project.domain.vo.ProjectViewJlExport;

import java.util.List;

/**
 * IProjectViewService
 * 项目统计
 * @author JiangYuQi
 * @date 2023-08-05
 */
public interface IProjectViewService {

    /**
     * 项目数据汇总
     * @param surProject
     * @return
     */
    public List<ProjectViewExport> selectStatisticsProjectList(SurProject surProject);

    /**
     * 监理单位项目数据汇总
     * @param surProject
     * @return
     */
    public List<ProjectViewJlExport> selectStatisticsJlProjectList(SurProject surProject);
}
