package com.yanzhu.jh.trouble.service;

import java.util.List;

import com.yanzhu.jh.trouble.domain.SmzSspProblemmodify;
import com.yanzhu.jh.trouble.domain.SmzSspProblemmodifyDraft;

/**
 * 随手拍问题整改质量留痕信息Service接口
 * 
 * @author JiangYuQi
 * @date 2023-10-15
 */
public interface ISmzSspProblemmodifyDraftService 
{
    /**
     * 查询随手拍问题整改质量留痕信息
     * 
     * @param id 随手拍问题整改质量留痕信息主键
     * @return 随手拍问题整改质量留痕信息
     */
    public SmzSspProblemmodifyDraft selectSmzSspProblemmodifyDraftById(Long id);

    /**
     * 查询随手拍问题整改质量留痕信息列表
     * 
     * @param smzSspProblemmodifyDraft 随手拍问题整改质量留痕信息
     * @return 随手拍问题整改质量留痕信息集合
     */
    public List<SmzSspProblemmodifyDraft> selectSmzSspProblemmodifyDraftList(SmzSspProblemmodifyDraft smzSspProblemmodifyDraft);

    /**
     * 新增随手拍问题整改质量留痕信息
     * 
     * @param smzSspProblemmodifyDraft 随手拍问题整改质量留痕信息
     * @return 结果
     */
    public int insertSmzSspProblemmodifyDraft(SmzSspProblemmodifyDraft smzSspProblemmodifyDraft);

    /**
     * 批量修改随手拍问题整改质量留痕信息
     *
     * @param smzSspProblemmodifyList 随手拍问题整改质量留痕信息
     * @return 结果
     */
    public int batchUpdateSmzSspProblemmodifyDraft(List<SmzSspProblemmodify> smzSspProblemmodifyList);

    /**
     * 修改随手拍问题整改质量留痕信息
     * 
     * @param smzSspProblemmodify 随手拍问题整改质量留痕信息
     * @return 结果
     */
    public int updateSmzSspProblemmodifyDraft(SmzSspProblemmodify smzSspProblemmodify);

    /**
     * 批量删除随手拍问题整改质量留痕信息
     * 
     * @param ids 需要删除的随手拍问题整改质量留痕信息主键集合
     * @return 结果
     */
    public int deleteSmzSspProblemmodifyDraftByIds(Long[] ids);

    /**
     * 删除随手拍问题整改质量留痕信息信息
     * 
     * @param id 随手拍问题整改质量留痕信息主键
     * @return 结果
     */
    public int deleteSmzSspProblemmodifyDraftById(Long id);
}
